# 16mm Sprocketed Roller

![16mm Sprocketed Roller for JK Optical Printer Gate](./img/sprocketed_roller_jk_gate.jpg)

[Download Example STL](./stl/sprocketed_roller_jk_gate.stl)

This is a module for generating sprocketed rollers of arbitrary frame counts for 16mm-related gear.
It was originally created using the measurements from a JK optical printer gate and has been tested at different sizes.

[SLA printing](https://en.wikipedia.org/wiki/Stereolithography) has made it possible to print rollers with enough detail and precision to safely convey film for various applications.
An issue caused by [FDM printing](https://en.wikipedia.org/wiki/Fused_filament_fabrication) is that the larger z-layer height makes it nearly impossible to print the individual sprockets within suitable parameters.

This is currently being used in the [mcopy](https://sixteenmillimeter.com/projects/mcopy) and [contact_printer](https://sixteenmillimeter.com/projects/contact_printer) projects on this site.

## Usage

```scad
use <./scad/sprocketed_roller.scad>;

sprocketed_roller(sprockets = 12);
```

This will generate a sprocketed roller with 12 frames.
Other arguments will change other features of the roller.


------

## Reinforced 16mm Sprocketed Roller

This variation of the roller design allows the majority of it to be printed using filament and allows the sprockets to be printed seperately in a high-detail material like resin.
This goes with the `sprocketed_roller_reinforced_wheel` OpenSCAD module and by setting `reinforced = true` in the main module.

![16mm Sprocketed Roller for JK Optical Printer Gate](./img/sprocketed_roller_reinforced_18_frames.jpg)

[Download Example STL](./stl/sprocketed_roller_reinforced_18_frames.stl)

------

## Reinforced 16mm Sprocketed Wheel

This wheel should be generated along-side the `sprocketed_roller` module with the setting `reinforced = true`.

![16mm Sprocketed Roller for JK Optical Printer Gate](./img/sprocketed_roller_wheel_18_frames.jpg)

[Download Example STL](./stl/sprocketed_roller_wheel_18_frames.stl)